@echo off
REM -- First make map file from Microsoft Visual C++ generated resource.h
echo // MAKEHELP.BAT generated Help Map file.  Used by BEMRAW.HPJ. >"hlp\BemRaw.hm"
echo. >>"hlp\BemRaw.hm"
echo // Commands (ID_* and IDM_*) >>"hlp\BemRaw.hm"
makehm ID_,HID_,0x10000 IDM_,HIDM_,0x10000 resource.h >>"hlp\BemRaw.hm"
echo. >>"hlp\BemRaw.hm"
echo // Prompts (IDP_*) >>"hlp\BemRaw.hm"
makehm IDP_,HIDP_,0x30000 resource.h >>"hlp\BemRaw.hm"
echo. >>"hlp\BemRaw.hm"
echo // Resources (IDR_*) >>"hlp\BemRaw.hm"
makehm IDR_,HIDR_,0x20000 resource.h >>"hlp\BemRaw.hm"
echo. >>"hlp\BemRaw.hm"
echo // Dialogs (IDD_*) >>"hlp\BemRaw.hm"
makehm IDD_,HIDD_,0x20000 resource.h >>"hlp\BemRaw.hm"
echo. >>"hlp\BemRaw.hm"
echo // Frame Controls (IDW_*) >>"hlp\BemRaw.hm"
makehm IDW_,HIDW_,0x50000 resource.h >>"hlp\BemRaw.hm"
REM -- Make help for Project BEMRAW


echo Building Win32 Help files
start /wait hcw /C /E /M "hlp\BemRaw.hpj"
if errorlevel 1 goto :Error
if not exist "hlp\BemRaw.hlp" goto :Error
if not exist "hlp\BemRaw.cnt" goto :Error
echo.
if exist Debug\nul copy "hlp\BemRaw.hlp" Debug
if exist Debug\nul copy "hlp\BemRaw.cnt" Debug
if exist Release\nul copy "hlp\BemRaw.hlp" Release
if exist Release\nul copy "hlp\BemRaw.cnt" Release
echo.
goto :done

:Error
echo hlp\BemRaw.hpj(1) : error: Problem encountered creating help file

:done
echo.
